package com.clx.performance.service.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.vehiclewarn.*;
import com.clx.performance.vo.pc.vehiclewarn.VehicleWarnUserVO;

public interface VehicleWarnUserService {

    void saveUser(VehicleWarnUserAddParam param);

    void updateUser(VehicleWarnUserUpdateParam param);
    void updateConfig(VehicleWarnUserConfigUpdateParam param);
    void deleteUser(VehicleWarnUserDeleteParam param);

    VehicleWarnUserVO getUser(Integer id);
    IPage<VehicleWarnUserVO> pageUser(PageVehicleWarnUserParam param);

}
